Loading...
Searching...
No Matches
bliss::Stats Class Reference

Statistics returned by the bliss search algorithm. More...

`#include <stats.hh>`

## Public Member Functions

size_t | print (FILE *const fp) const
const BigNum & | get_group_size () const
long double | get_group_size_approx () const
long unsigned int | get_nof_nodes () const
long unsigned int | get_nof_leaf_nodes () const
long unsigned int | get_nof_bad_nodes () const
long unsigned int | get_nof_canupdates () const
long unsigned int | get_nof_generators () const
unsigned long int | get_max_level () const

## Detailed Description

Statistics returned by the bliss search algorithm.

## Member Function Documentation

## get_group_size()

const BigNum & bliss::Stats::get_group_size | ( |  | ) | const

inline

The size of the automorphism group.

## get_group_size_approx()

long double bliss::Stats::get_group_size_approx | ( |  | ) | const

inline

An approximation (due to possible overflows/rounding errors) of the size of the automorphism group.

## get_max_level()

unsigned long int bliss::Stats::get_max_level | ( |  | ) | const

inline

The maximal depth of the search tree.

## get_nof_bad_nodes()

long unsigned int bliss::Stats::get_nof_bad_nodes | ( |  | ) | const

inline

The number of bad nodes in the search tree.

## get_nof_canupdates()

long unsigned int bliss::Stats::get_nof_canupdates | ( |  | ) | const

inline

The number of canonical representative updates.

## get_nof_generators()

long unsigned int bliss::Stats::get_nof_generators | ( |  | ) | const

inline

The number of generator permutations.

## get_nof_leaf_nodes()

long unsigned int bliss::Stats::get_nof_leaf_nodes | ( |  | ) | const

inline

The number of leaf nodes in the search tree.

## get_nof_nodes()

long unsigned int bliss::Stats::get_nof_nodes | ( |  | ) | const

inline

The number of nodes in the search tree.

## print()

size_t bliss::Stats::print | ( | FILE *const | fp | ) | const

inline

Print the statistics.

The documentation for this class was generated from the following file:

- src/stats.hh